Pular para o conteúdo

/api/v1/ticketing-teams/{ticketingTeamId}/users (POST)

POST
/api/v1/ticketing-teams/{ticketingTeamId}/users
curl --request POST \
--url https://api.endless.zaia.app/api/v1/ticketing-teams/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/users \
--header 'Content-Type: application/json' \
--data '{ "userId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'

Creates new users or attaches existing ones to a ticketing team.

ticketingTeamId
required

A UUID v4 string that identifies an entity.

string format: uuid

A UUID v4 string that identifies an entity.

Media typeapplication/json
object
userId
required

A UUID v4 string that identifies an entity.

string format: uuid
Examplegenerated
{
"userId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}

The ticketing team user was created.

Media typeapplication/json
object
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
activeTickets
required
integer
roundRobinDistribution
required
integer
<= 100
status
required
string
Allowed values: active inactive
ticketingTeamId
required

A UUID v4 string that identifies an entity.

string format: uuid
userId
required

A UUID v4 string that identifies an entity.

string format: uuid
Example
{
"status": "active"
}

Round robin distribution does not total exactly 100%.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}

Unauthorized.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}

Ticketing team or user not found.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}

User is already a member of this ticketing team.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}